org.apache.ignite.internal.processors.cache

## Class DynamicCacheDescriptor

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.DynamicCacheDescriptor

    public class DynamicCacheDescriptor
    extends Object

Cache start descriptor.

### Constructor Summary

Constructors
Constructor and Description
`DynamicCacheDescriptor(GridKernalContext ctx, CacheConfiguration cacheCfg, CacheType cacheType, boolean template, IgniteUuid deploymentId)`

### Method Summary

Methods
`void` `addRemoteConfiguration(UUID nodeId, CacheConfiguration cfg)`
`CacheConfiguration` `cacheConfiguration()`
`CacheType` `cacheType()`
`boolean` `cancelled()`
`void` `clearRemoteConfigurations()`
`IgniteUuid` `deploymentId()`
`void` `deploymentId(IgniteUuid deploymentId)`
`boolean` `locallyConfigured()`
`void` `locallyConfigured(boolean locCfg)`
`void` `onCancelled()` Sets cancelled flag.
`boolean` `onStart()`
`CachePluginManager` `pluginManager()`
`CacheConfiguration` `remoteConfiguration(UUID nodeId)`
`boolean` `staticallyConfigured()`
`void` `staticallyConfigured(boolean staticCfg)`
`boolean` `template()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DynamicCacheDescriptor

    public DynamicCacheDescriptor(GridKernalContext ctx,
                          CacheConfiguration cacheCfg,
                          CacheType cacheType,
                          boolean template,
                          IgniteUuid deploymentId)

Parameters:
  `cacheCfg` - Cache configuration.
  `cacheType` - Cache type.
  `template` - `True` if this is template configuration.
  `deploymentId` - Deployment ID.

### Method Detail

#### template

    public boolean template()

Returns:
  `True` if this is template configuration.

#### cacheType

    public CacheType cacheType()

Returns:
  Cache type.

#### deploymentId

    public IgniteUuid deploymentId()

Returns:
  Start ID.

#### deploymentId

    public void deploymentId(IgniteUuid deploymentId)

Parameters:
  `deploymentId` - Deployment ID.

#### locallyConfigured

    public boolean locallyConfigured()

Returns:
  Locally configured flag.

#### locallyConfigured

    public void locallyConfigured(boolean locCfg)

Parameters:
  `locCfg` - Locally configured flag.

#### staticallyConfigured

    public boolean staticallyConfigured()

Returns:
  `True` if statically configured.

#### staticallyConfigured

    public void staticallyConfigured(boolean staticCfg)

Parameters:
  `staticCfg` - `True` if statically configured.

#### onStart

    public boolean onStart()

Returns:
  `True` if started flag was flipped by this call.

#### cacheConfiguration

    public CacheConfiguration cacheConfiguration()

Returns:
  Cache configuration.

#### pluginManager

    public CachePluginManager pluginManager()

Returns:
  Cache plugin manager.

#### onCancelled

    public void onCancelled()

Sets cancelled flag.

#### cancelled

    public boolean cancelled()

Returns:
  Cancelled flag.

#### remoteConfiguration

    public CacheConfiguration remoteConfiguration(UUID nodeId)

Parameters:
  `nodeId` - Remote node ID.
Returns:
  Configuration.

#### addRemoteConfiguration

    public void addRemoteConfiguration(UUID nodeId,
                              CacheConfiguration cfg)

Parameters:
  `nodeId` - Remote node ID.
  `cfg` - Remote node configuration.

#### clearRemoteConfigurations

    public void clearRemoteConfigurations()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015